/*
 * RobotFunctions.h
 *
 *  Created on: Aug 24, 2024
 *      Author: DashyFox
 */

#ifndef INC_ROBOTFUNCTIONS_H_
#define INC_ROBOTFUNCTIONS_H_

#include "pca9685.h"


void doShot();
void doShotForever();

void prepareShot();

void stopShooting();

void setPos();
void setPosDefault();

// 0 .. 100
void setShneckSpeed(uint8_t speed);

//(-v) 0 .. 100(stop) .. 200(+v)
void setRollersSpeed(uint8_t speed); //(-v) 0 . 100(stop) . 200(+v)

void startProgram(); // shot sequence
void startMacro(); // shot sequence







#endif /* INC_ROBOTFUNCTIONS_H_ */
